Slackware :: Install "VirtualBox-3.2.12-68 302" In Slackware64-current - Kernel 2.6.38.7

Jun 21, 2011

Is there any way to install "VirtualBox-3.2.12-68302" in the "slackware64-current" (Kernel 2.6.38.7) ?

I have problems with the 4.0.x version of VB!

The version "VirtualBox-3.2.12-68302" works fine with my hardware!

I tested using "VB 3.2.12" and Slackware64-13.37 (kernel 2.6.37.6).

I get the warning when I try to install a guest OS in "VB 3.2.12" running slackware64-current ...

Quote:

There is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

As root. Users of Ubuntu, Fedora or Mandriva should install the DKMS package first.

This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary"

And still

Quote:

Failed to open a session for the virtual machine Slackware12.0.

The virtual machine 'Slackware12.0' has terminated unexpectedly during startup with exit code 1.

Result Code:

View 14 Replies


ADVERTISEMENT

Slackware :: Kernel Panic After Upgrading Slackware64-current To 2.6.32.x Kernel?

Jan 20, 2010

I have one machine where I have several versions installed on different partitions. The base partition (/dev/hda1) is Slack 12.1. On a spare partition (/dev/hdc4) I had installed Slackware64-current. Last week I slackpkg upgraded and installed the 2.6.32.2 kernel, and now that partition will not boot. I know that with the new kernels the hd* designation has been removed, and have already redone that fstab (accessing it from a different boot) to reflect the sd*. Here is the slack64 section of my lilo.conf:

Code:
# Linux bootable partition config begins
image = /other/spare4/boot/vmlinuz

[code]....

View 4 Replies View Related

Slackware :: Libmp4v2-v1.5.0.2 In Slackware64-current?

Feb 13, 2010

I am having a hard time compiling libmp4v2-1.5.0.2 in slackware64-current. It always fails with:

PHP Code:

make[2]: *** [rtphint.lo] Error 1make[2]: Leaving directory `/home/Downloads/libmp4v2-1.5.0.1'make[1]: *** [all-recursive] Error 1make[1]: Leaving directory `/home/Downloads/libmp4v2-1.5.0.1make: *** [all] Error 2 

View 5 Replies View Related

Slackware :: Slackware64 -current No Sound?

Mar 7, 2010

after this bug update, my laptop loose the sound, I have run alsaconf and nothing.If I run rc.alsa I get:Quote:Loading ALSA mixer settings: /usr/sbin/alsactl restore
/usr/sbin/alsactl: load_state:1608: No soundcards found...

View 1 Replies View Related

Slackware :: Usbboot.img On Slackware64-current?

Apr 23, 2011

Regarding the latest update to -current, I decided to test installing it on a laptop from a usb stick (as I've done may times before). However this time the usb stick fails to boot as usual, hanging with the message "Could not find kernel image: linux". This isn't a problem with the usb stick, since if you mount the usbboot.img file as a loop device there is only 1 file on there, "ldlinux.sys", where you would usually find huge.s, initrd.img etc.

Have tried the 64-bit usbboot.img file from a couple of different mirrors and the result is the same. Have also looked in the usbboot.img from the 32-bit -current... this shows the usual set of files so looks to be OK.

View 6 Replies View Related

Slackware :: Can't Compile Tolua++ In Slackware64-current

Mar 22, 2010

I'm trying to compile tolua++ so that i can use lua in conky 1.7.2, however I am running into a problem. tolua++ defaults to looking for lua 5.0 libraries and I have lua 5.1 installed since that is what conky requires. According to the README tolua++ can use lua-5.1 but I not sure how to configure tulua++ to use those libraries since it uses scons. Here is a what the README says...

Compiling for lua 5.1

Starting from version 1.0.8pre1, tolua++ can be compiled with both lua 5.0 and
5.1. Both versions will output the same code, and the C API (tolua++.h) is the
same.

The build system is not yet ready to detect/decide when to compile for 5.1,
the easiest way right now is to add a file called 'custom.py' on the root of
the package, with the following:

## BEGIN custom.py
CCFLAGS = ['-I/usr/local/include/lua5.1', '-O2', '-ansi']
LIBPATH = ['/usr/local/lib']
LIBS = ['lua5.1', 'dl', 'm']
tolua_bin = 'tolua++5.1'

[Code]....

View 1 Replies View Related

Slackware :: Slackware64-current Don't Work Pm-suspend

Feb 27, 2010

after search and look at in vcar/log/pm-suspend.log I changed and quoted line to /usr/lib64/pm-utils/sleep.d/00logging who are reference to command free

[Code].....

View 4 Replies View Related

Slackware :: Another Laptop About To Loose Virginity To Slackware64 -current?

Mar 20, 2010

Just got a new toy!

Quote:

Compaq/HP CQ60-615DX Notebook @Best Buy $369.00

Intel Celeron 900 (2.2Ghz)
250GB(7200rpm) HDD
2GB DDR2 SDRAM
8x DVD +/- R/RW Double layer
Win7 Home Premium (for the time being)

[Code]...

I will keep Win7 for clients as this will be another laptop for that usage plus wanting to have a decent laptop for the rec room to do that style of work. Cheap way to service M$ clients without buying more personal license(s). So far no big deal with M$ Win7 but I need to have that pathway available to me.

My reason to buy this notebook rather then a netbook should be obvious, big enough for me to do what is necessary. I've got test beds to do the real work, netbooks just won't meet the needs as describe above. I purchased a Netbook for my wife. That one will be used while she's away to aid with the new Grandchild, a lot easier to carry than her old HP Laptop. If the Netbook is lost then no worry since it's cheaper than her HP.

View 3 Replies View Related

Slackware :: [slackware64-current] Cfdisk Setting Partition Type?

Jan 28, 2011

I've just synchronized my slackware64-current mirror, iso burned, booting, starting cfdisk, creating a partition, and I'm not able to set the partition type to `Linux Raid Autodetect` (FD) or any other, that needs 2 characters to be entered in cfdisk -> Type.Cfdisk alows only one character to be entered ("F" or any other).

View 3 Replies View Related

Slackware :: Qemu And Slackware64-current Windows 98SE As A Guest?

Apr 15, 2011

I used qemu (qemu-0.9.1-i386-2_SBo) with Windows98SE as a guest, but since the last Slackware-current update of this version of qemu no longer works ...more precisely after "Mon Apr 8 06:58:48 UTC 2011" Update

Then installed the version "qemu-0.12.5.tar.gz" of Slackbuils, but this If the mouse is not detected in Windows 98 I also installed the version of the Alien "qemu-0.10.0-i486-1alien" without success Windows 98SE worked very well with the version of qemu-0.9.1-i386-2_SBo!I know the mouse is not detectable in Windows 98SE is a Bug [URL].. ps: I also have not had success in Slack 32. I use on a daily 64-bit version of Slackware .

View 14 Replies View Related

Slackware :: Error Compiling Virtualbox 3.2.10 On Current?

Dec 7, 2010

I'm trying to compile virtualbox 3.2.10 con slackware current 32bit through sbopkg

I get this error (I'll copy only the end part)

Code:
CXX VMMR3 - {C}/src/VBox/VMM/VMMAll/TMAllCpu.cpp
cc1plus: warnings being treated as errors
In file included from /tmp/SBo/VirtualBox-3.2.10_OSE/src/VBox/VMM/VMMAll/PGMAll.cpp:236:0:

[Code].....

View 4 Replies View Related

Slackware :: Virtualbox Current 32b Nvidia KDE(failsafe) Works But Regular KDE Does Not?

Mar 26, 2011

I have 13.1 on its own drive and works fine. I installed virtualbox in 64b windoz on a different drive with the same computer so I can play with all the different linux systems. Around 6 weeks ago I installed slack current from alien bobs mirror with no problems. An update a week ago? and kde would not work. KDE failsafe and all other desktops work fine.

View 5 Replies View Related

Slackware :: Slackware64 And The Multilib Files - Should They Be Part Of The Default Install

Jan 3, 2010

Is the future Slackware release 13.1 going to be default multilib...?

View 14 Replies View Related

Slackware :: Building WINE On Slackware64 Install Eric's Multilib Packages

Jul 19, 2010

I'm getting ready to install Slackware64_13.1 (finally), and I may then install Eric's multilib packages. The slackbuild for Wine at Slackbuilds.org states:

[code]...

has anyone built WINE with the 32-bit compatibility packages? Does it work?

View 12 Replies View Related

Slackware :: Can't Boot Updated Kernel Slackware Current

Jan 5, 2010

I updated my kernel in slackware current but can't install lilo, when i was with my old kernel it gave an error about not finding the sda drives (they were named hda before the upgrade).I booted into the slackware 13.0 dvd and modified fstab and lilo.conf replacing hda with sda but lilo still gives an error of not finding sda drives.How can i install lilo so i can boot into my sistem??

View 14 Replies View Related

Debian :: VirtualBox Error - 'install Virtualbox-ose-modules Package For Kernel And Execute 'modprobe Vboxdrv'

Apr 27, 2010

my error when trying to run a VB (Virtualbox). Error as copied from error box. install the virtualbox-ose-modules package for your kernel and execute 'modprobe vboxdrv' as root. VBox status code: -1908 (VERR_VM_DRIVER_NOT_INSTALLED).


[code]...

I get this when trying to launch a VB after making one with wizzard.

View 6 Replies View Related

Slackware :: 13 -> Current ,Kernel Panic On Reboot?

May 20, 2010

I attempted to upgrade a Slackware 13.0 fresh install to current. First I updated 13.0 by running:

Code:
slackpkg update
slackpkg upgrade-all

I then amended the mirror to current and ran the following commands

Code:
slackpkg update
slackpkg upgrade-all

[Code]...

View 9 Replies View Related

Slackware :: 64 - Current Kernel 2.6.32.3: No Sound On CLI And In Browsers?

Jan 9, 2010

I just upgraded my Slackware64-current version to the latest kernel 2.6.32.3. Almost everything works just fine, except that I have no sound on the command line and in web browsers, anymore. I don't get any sound out of the command line program play and Flash.

For example, I have a few .wav files, that I can play with Kaffeine and Amarok, but when I try to play them with play on the command line, the program runs and displays that it plays the file, but I don't hear any sound. The same happens with XMMS, too: It displays the usual graphics showing the dynamics and the progress, but my speakers remain silent.

Also, alsaconf doesn't detect my audio hardware, anymore. I have onboard sound and a Creative X-Fi PCI card. Usually both were "seen" by alsaconf. Now it tells me, that it can't identify any audio cards.

On the other hand, when I go into the multimedia section of the KDE system settings, I can "Test" the audio hardware, and the onboard sound works great and I can hear the KDE welcome sound. I have already remove all packages withe 'alsa' in their name and re-installed them, including their compat32 peers, and rebooted several times. Up to now to no avail. Does anyone have a clue, what the problem is caused by?

View 10 Replies View Related

Slackware :: Can't Build VirtualBox Kernel Module In 13.1

Apr 26, 2011

I am using the 13.1 build scripts from slackbuilds.org. I modified the scripts to build 3.2.12 rather than 3.2.10.

In 13.1 the main VirtualBox 3.2.12 OSE package built and installed without errors. The VirtualBox GUI starts without errors.

Running the virtualbox-kernel-mksrctarball.sh script built a kernel source package without errors.

Yet the VirtualBox kernel module won't build. I receive the following error:

Code:
]*** Building 'vboxdrv' module ***
make[1]: Entering directory `/dev/shm/virtualbox-kernel-3.2.12/vboxdrv'
make KBUILD_VERBOSE= -C /lib/modules/2.6.33.11-smp-2/build SUBDIRS=/dev/shm/virtualbox-kernel-3.2.12/vboxdrv SRCROOT=/dev/shm/virtualbox-kernel-3.2.12/vboxdrv modules

[Code].....

View 2 Replies View Related

Slackware :: VirtualBox 3.1.6 - Kernel Include Directory

May 31, 2010

I tried to build the virtualbox 3.1.6 kernel using the files from slackbuilds.org and I got this error that says it cannot find the kernel include directory. My current kernel is 2.6.33.2 (slack 13.1).

I tried SOME_VAR=/usr/include --> (I forgot the exact variable name, but I used the variable name I saw in the error message) just a guess , but it didn't work of course.

Is it at /usr/src/linux-2.6.33.2/include or something like that? Or is there anything wrong with the slackbuild script?

View 4 Replies View Related

Slackware :: Kernel 2.6.35.7 Mouse/screen Freezes In -current?

Sep 30, 2010

so, I compiled the 2.6.35.7 kernel yesterday and used the config from 2.6.35.6 doing make oldconfig,etc

its the vanilla kernel with BFS, BFQ[*], Tuxonice, aufs2, & squashfs-lzma patches after compiling and rebooting I have noticed that the mouse freezes whenever the pc cpu is running high cpu % this didnt happen before with any other kernel and as I said, I used the 2.6.35.6 config Has anyone else had issues with 2.6.35.7 kernel? hardware is amd athlon64 3300+ 2.4ghz 1GB RAM, on 32bit Slackware -current I am going to compile the vanilla kernel now and see what happens.

View 3 Replies View Related

Slackware :: Starting VirtualBox Kernel Module - Failed

Jan 4, 2010

I download "VirtualBox-3.1.2-56127-Linux_amd64.run" and installed it, and got a messages like this " virtualbox have been installed successfully in my system", but when I run virtualbox, I've been told "/etc/init.d/vboxdrv setup" something like that. And I run virtualbox in terminal, got this:

Warning: The vboxdrv kernel module is not loaded. Either there is no module available for the current kernel (2.6.29.6) or it failed to load. Please recompile the kernel module and install it by
sudo /etc/init.d/vboxdrv setup
You will not be able to start VMs until this problem is fixed.

I run "/etc/rc.d/rc.vboxdrv start" as a root, got messages like this :
Starting VirtualBox kernel module ...failed!
(modprobe vboxdrv failed.)

View 14 Replies View Related

Slackware :: VirtualBox Kernel Download - File Misnamed

Apr 16, 2010

For some reason, when I click on the Slackbuild link for virtualbox-kernel (3.1.6) for virtualbox-kernel-3.1.6.tar.xz , it downloads as virtualbox-kernel-3.1.6.tar.tar. The file is misnamed. If it is renamed virtualbox-kernel-3.1.6.tar.xz , the SlackBuild works just fine.

View 10 Replies View Related

Slackware :: VirtualBox < 3.1.4 Module Build Fails On 2.6.33 Kernel

Mar 4, 2010

I had an issue with the module build for vbox 3.1.2 breaking on the latest kernel ( /etc/rc.d/rc.vboxdrv setup ). Apparently the issue is that a kernel header (autoconf.h ) has changed its location in the module tree and hence the issue.

2 options:

1. upgrade to 3.1.4

2. create a symlink as follows

cd /usr/src/linux/include/linux
ln -s ../generated/autoconf.h autoconf.h

View 12 Replies View Related

Slackware :: VirtualBox Failing To Build Kernel Modules

Jan 10, 2010

If others are have the problem of VirtualBox failing to build the kernel modules with kernel 2.6.32 try this :-

1. Install VirtualBox and watch as the kernel modules fail to compile.

2. Change the line
Code:
KFLAGS += -DRT_ARCH_AMD64
TO
Code:
KFLAGS += -DRT_ARCH_X86_64

In the following files :-
Code:
Line 231 /opt/VirtualBox/src/vboxdrv/Makefile
Line 170 /opt/VirtualBox/src/vboxnetadp/Makefile
Line 174 /opt/VirtualBox/src/vboxnetflt/Makefile

3. Run /etc/rc.d/rc.vboxdrv setup

You will now have a working VirtualBox setup. NB This is written purely from the standpoint of using the Closed source version of VB not the OSE version.

View 2 Replies View Related

Slackware :: Should Glibc Be Updated In Current Every Time There Is Kernel Update?

Feb 10, 2010

I am running Slackware64-current(multi-lib) and I have stumbled across something that I don't fully understand.I have read that the kernel-headers should not be updated as glibc is compiled against them and therefore requires that set of kernel headers. Recently the kernel version has been bumped a couple of times but glibc has stayed the same.Should glibc be re-compiled each time there is a kernel update?

Perhaps someone can explain, in very simple terms, the relationship between the kernel, the kernel headers, the kernel modules and glibc.

View 14 Replies View Related

Fedora :: Install Kernel Headers - Current Kernel Only

Feb 22, 2010

What's the command for installing kernel headers for the currently installed kernel?

View 2 Replies View Related

Slackware :: Custom Kernel Not Boot After Current Lastest Update / Sort It?

Mar 2, 2010

After the bunch of updates with current, my custom kernel (2.6.33) can't boot.

The error is:
/sbin/e2fsck: No such file or directory while trying to open /dev/sda6

The superblock could not be read or does not describe a correct ext2
filesystem. If the device is valid and it really contains an ext2
filesystem (and not swap or ufs or something else), then the superblock
is corrupt, and you might try running e2fsck with an alternate
superblock:
e2fsck -b 8193 <device>

The /dev/sda6 is ext4 and is ok since it can boot with official huge smp kernel 2.6.33.

My custom kernel can boot before this bunch of updates in current.
What i missing in kernel?

View 18 Replies View Related

Slackware :: Udev Start In Current Provokes Kernel Crash Because - Wrong - Boot Option

Dec 24, 2010

I switched today to slackware-current on one of my desktops to play with it and ran directly into a problem.

Since ages my lilo.conf has two entries for slackware. One for runlevel 3 and one for runlevel 4.

Code:

Since the upgrade this is no more possible because I get a kernel panic as soon as udevadm trigger is called. The stack says something about an unknown boot option. Because that i removed the append lines from my lilo.conf and i was able to boot the system. The crash happens when udev is called from within the ramdisk and afterwards. I tried both.

My question is now. Is this a bug in udev or expected? I have this setup since at least 5 years and had never problems with that. What do I have to do to be able to select the runlevel at boot time?

View 3 Replies View Related

OpenSUSE Hardware :: Unable To Start VirtualBox Kernel Modules - Error Stopping VirtualBox Kernel Modules

Mar 23, 2011

I was trying to install VirtualBox through the YaST > Software Management but it is not working, someone in the forum told me that I have to download the OSE version and do it manual way. Finally I am able to start up VB but not able to use the network connection. Thus I am trying to do this:

/etc/init.d/vboxdrv setup. I get this error:

[code]...

When I type dmesg, it shows me a bunch of info which I don't know what should look for. When I type modprobe vboxnetflt, I get the error: FATAL: Error inserting vboxnetflt (/lib/modules/2.6.37.1-1.2-default/updates/vboxnetflt.ko): Invalid module format. what should I do in order to get my VB to be able to connect to the internet?

View 5 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved